Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 528277 - Release 3.12.4 + new roots to Mozilla
: Release 3.12.4 + new roots to Mozilla
[to be fixed by bug 527759]
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Kai Engert (:kaie)
: David Keeler [:keeler] (use needinfo?)
Depends on: 527759
Blocks: 499716
  Show dependency treegraph
Reported: 2009-11-12 11:51 PST by Kai Engert (:kaie)
Modified: 2010-01-26 13:22 PST (History)
6 users (show)
mbeltzner: blocking1.9.2-
mbeltzner: wanted1.9.2+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Kai Engert (:kaie) 2009-11-12 11:51:03 PST
We want to create a combined release based on NSS 3.12.4 plus several new CA root certificates into Mozilla.
Comment 1 John Arild A. Johansen 2009-11-27 02:40:06 PST
Hi, not beeing included in the current Beta4 of FireFox either...I take the liberty to submit a "request for status" for this bug.

Best regards, 
Comment 2 Daniel Veditz [:dveditz] 2009-11-30 17:30:52 PST
If this is wanted for Firefox 3.6 it may already be too late, and certainly needs to be on the release radar if it's going to make it.
Comment 3 Johnathan Nightingale [:johnath] 2009-12-03 13:06:07 PST
This doesn't block the release, but if it can land in the next 24 hours, it can have my approval to land.  I can't set an approval flag without a bug, but a check-in that:

- adds the new roots
- doesn't otherwise signifcantly alter NSS behaviour/functionality (i.e. doesn't introduce additional code risk)

is a=johnath.
Comment 4 Kai Engert (:kaie) 2009-12-03 13:43:34 PST
No patch for this bug.

The instructions are:
"Follow the usual procedure from to update Mozilla to NSS tag NSS_3_12_4_WITH_CKBI_1_77_RTM."

I've verified the difference between "nss currently being used" and "new nss tag NSS_3_12_4_WITH_CKBI_1_77_RTM" is equivalent to the root additions made with nss bug 527759.

In today's NSS meeting, Bob Relyea, Nelson Bolyard and Dan Veditz have agreed to the plan to deliver the changes from bug 527759 tag to Mozilla, which I take as r+
Comment 5 Kai Engert (:kaie) 2009-12-03 22:05:41 PST
pushed to mozilla-central
Comment 6 Kai Engert (:kaie) 2009-12-03 22:19:45 PST
pushed to mozilla-1.9.2
Comment 7 Johnathan Nightingale [:johnath] 2010-01-26 11:07:53 PST
Kai - are you able to land this and bug 527759 on 1.9.1 in the next day or so? We're behind on getting out the door, so if you can't get to it, I can try.
Comment 8 Johnathan Nightingale [:johnath] 2010-01-26 11:09:53 PST
(In reply to comment #7)
> Kai - are you able to land this and bug 527759 on 1.9.1 in the next day or so?
> We're behind on getting out the door, so if you can't get to it, I can
> try.

by which I mean that we're behind on getting out the door. should be about a year away.
Comment 9 Kai Engert (:kaie) 2010-01-26 13:22:18 PST

Note You need to log in before you can comment on or make changes to this bug.